## python-griddataformats 0.5.0+git20200812.be6132a

=== ci/requirements.txt ===
six
numpy
scipy
sphinx-sitemap

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -T -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-for i in html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex text man changes linkcheck doctest; do \
            rm -rf $(BUILDDIR)/$$i; \
        done

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gridDataFormats.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gridDataFormats.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/gridDataFormats"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/gridDataFormats"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-griddataformats (0.5.0+git20200812.be6132a-1) unstable; urgency=medium

  * New upstream snapshot.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Jan 2021 11:28:13 +0100

python-griddataformats (0.5.0-3) unstable; urgency=medium

  * rebuild for migration to testing

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Oct 2020 23:23:43 +0800

python-griddataformats (0.5.0-2) unstable; urgency=medium

  * add reference to all Contributors in debian/copyright:
      Oliver Beckstein (principal author)
      Jesse Johnson (CCP4 format support)
      Max Linke
      Jan Domanski
      Dominik Mierzejewski
      Tyler Luchko
      Giacomo Fiorin
  * add reference to copyright holders of File Format documentation
    - CCP4: 2015 Science and Technologies Facilities Council,
      Phil Evans and John Campbell
    - PLT: 1992-2005 CSC (Finnish IT Center for Science)

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jul 2020 08:24:52 +0800

python-griddataformats (0.5.0-1) unstable; urgency=medium

  * New upstream version. Closes: #962691.
  * Standards-Version: 4.5.0
  * debhelper compatibility level 13
  * Build-Depends: dh-python (build with pybuild),
     python3-numpy (>= 1.0.3), python3-scipy,
     python3-six, python3-pytest
  * add debian/tests (autopkgtest) invoking pytest

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Jul 2020 15:51:10 +0800

python-griddataformats (0.2.2-4) unstable; urgency=low

  * numpy added to debian/pydist-overrides

 -- Sébastien Buchoux <sebastien.buchoux@gmail.com>  Mon, 21 Nov 2011 15:06:03 +0100

python-griddataformats (0.2.2-3) unstable; urgency=low

  * added debian/watch 

 -- Sébastien Buchoux <sebastien.buchoux@gmail.com>  Thu, 17 Nov 2011 17:19:28 +0100

python-griddataformats (0.2.2-2) unstable; urgency=low

  * python-setuptools added as a build dependency in debian/control 

 -- Sébastien Buchoux <sebastien.buchoux@gmail.com>  Wed, 16 Nov 2011 17:17:56 +0100

python-griddataformats (0.2.2-1) unstable; urgency=low

  * Initial release as Debian package
  
 -- Sébastien Buchoux <sebastien.buchoux@gmail.com>  Wed, 16 Nov 2011 10:43:43 +0100

=== debian/control ===
Source: python-griddataformats
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-numpy (>= 1.0.3),
 python3-pytest,
 python3-scipy,
 python3-setuptools,
 python3-six
Standards-Version: 4.5.1
Homepage: https://www.mdanalysis.org/GridDataFormats/
Vcs-Git: https://salsa.debian.org/debichem-team/python-griddataformats.git
Vcs-Browser: https://salsa.debian.org/debichem-team/python-griddataformats

Package: python3-griddataformats
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Handling volumetric data in Python
 GridDataFormats provides the Python package 'gridData'.
 The gridData module contains a simple class Grid that makes it easier
 to work with data on a regular grid. A limited number of commonly
 used formats can be read and written, including OpenDX (.dx),
 gOpenMol (.plt), CCP4 (.ccp4), pickle (.pickle).

=== debian/tests/control ===
Test-Command: pytest-3 -v
Depends: @, @builddeps@,
 python3-pytest

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/G/GridDataFormats/GridDataFormats-(.+)\.tar\.gz

## python-griddataformats 0.6.0

=== debian/changelog ===
python-griddataformats (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * add :any to Build-Depends: python3-all:any
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 13 Oct 2021 15:36:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
- python3-all,
+ python3-all:any,
  python3-numpy (>= 1.0.3),
  python3-pytest,
  python3-scipy,
  python3-setuptools,
  python3-six
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.mdanalysis.org/GridDataFormats/
 Vcs-Git: https://salsa.debian.org/debichem-team/python-griddataformats.git
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-griddataformats

## python-griddataformats 1.0.1

=== debian/changelog ===
python-griddataformats (1.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depends: python3-mrcfile, python3-numpy (>= 1.19~)
  * Standards-Version: 4.6.1
  * debian/copyright: drop gridData/CCP4.py entry
    (CCP4 superseded by mrc/mrcfile)

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Nov 2022 18:53:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all:any,
- python3-numpy (>= 1.0.3),
+ python3-mrcfile,
+ python3-numpy (>= 1.19~),
  python3-pytest,
  python3-scipy,
  python3-setuptools,
  python3-six
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.mdanalysis.org/GridDataFormats/
 Vcs-Git: https://salsa.debian.org/debichem-team/python-griddataformats.git
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-griddataformats

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=gridData

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-griddataformats 1.0.2

=== debian/changelog ===
python-griddataformats (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * Remove extraneous dependency on python3-six (Closes: #1064606)
  * Set "Rules-Requires-Root: no"

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Jul 2024 20:59:43 +0200

python-griddataformats (1.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-numpy.

  [ Drew Parsons ]
  * New upstream release.
    - fixes configparser. Closes: #1058122.
  * debian/tests: run pytest over all supported Python versions
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Thu, 18 Jan 2024 13:49:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all:any,
  python3-mrcfile,
- python3-numpy (>= 1.19~),
+ python3-numpy,
  python3-pytest,
  python3-scipy,
  python3-setuptools,
- python3-six
-Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Homepage: https://www.mdanalysis.org/GridDataFormats/
 Vcs-Git: https://salsa.debian.org/debichem-team/python-griddataformats.git
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-griddataformats

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 export PYBUILD_NAME=gridData
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: for py3 in `py3versions -s`; do $py3 -m pytest -v; done
Depends: @, @builddeps@,
 python3-pytest
